Subject: bug#18345: Crash in ns_read_socket

From: Alan Third <[email-masked]>
Date: Sun, 17 Jul 2016 22:09:37 +0100

Simon Carter <[email-masked]> writes:

> Although it’s not crashing I’ve just hit the issue I mentioned before,
> where all inputs are being pre-prended with another character. It's as
> though there are two input loops being run, the first of which has
> locked up and is just spitting out the same character every time.
>
> Incidentally, my repro is essentially to run helm-do-grep1 with a
> couple of thousand filenames as input, and add/remove characters from
> the matching string; something to do with the way it’s running
> asynchronously seems to bring out this issue.

Hi, are you still seeing this behaviour in the Emacs 25 pretests?
-- 
Alan Third